Bug 139884 - [UI] Need a menu entry + keyboard shortcut + icon in toolbar to set "Default character style"
Summary: [UI] Need a menu entry + keyboard shortcut + icon in toolbar to set "Default ...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.3.1 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2021-01-24 12:43 UTC by Olivier Hallot
Modified: 2021-07-05 11:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2021-01-24 12:43:52 UTC
We nee a way to easily set the "default character style" of a selection in a paragraph. 

This is not the same as "Clean direct formatting (Ctrl+M)" which removes direct formatting.

When we apply the "Default character style" in a selection, we reset the character formatting to the character properties of the applied paragraph style.

The "Default character style" cannot be modified for this reason, it is a special char style.

This is an important feature to clean overlapping formatting. For example, a paragraph style can have a bold font and someone applied a "strong emphasis" character style on the selection. The results is bold font anyway but the underlying paragraph is polluted with "strong emphasis" char style that adds nothing to the document and may raise issues to external tools (such as machine translator).
Comment 1 Heiko Tietze 2021-02-01 10:42:27 UTC Comment hidden (off-topic)
Comment 2 V Stuart Foote 2021-02-01 15:41:31 UTC
+1

Though we already provide easy reset in the Sidebar 'Styles' deck for the 'Character Styles' tab listbox. 

Also, available with the 'Default Character Style' button on the 'Formatting (Styles)' toolbar.  And for MUFFIN on the Grouped Compatct NB the Styles droplist.

The TB and NB both use .uno:StyleApply?Style:sting= syntax, so not available in the Customize dialog to assign--but seems like it could/should be made available for menu and keyboard assignment.
Comment 3 Maxim Monastirsky 2021-02-01 16:47:04 UTC
(In reply to V Stuart Foote from comment #2)
> The TB and NB both use .uno:StyleApply?Style:sting= syntax, so not available
> in the Customize dialog to assign
This is not true. There is a 'Styles' category of commands where all styles are listed, and can be assigned to keyboard shortcuts or added to menus or toolbars.

Also, the title says "Need a menu entry", but there is already one both in the main menu (Styles > Default Character) and the context menu (Character > Default Character), so I would assume the request here is mainly about assigning a default keyboard shortcut to it?
Comment 4 V Stuart Foote 2021-02-01 17:38:50 UTC
(In reply to Maxim Monastirsky from comment #3)
> (In reply to V Stuart Foote from comment #2)
> > The TB and NB both use .uno:StyleApply?Style:sting= syntax, so not available
> > in the Customize dialog to assign
> This is not true. There is a 'Styles' category of commands where all styles
> are listed, and can be assigned to keyboard shortcuts or added to menus or
> toolbars.
> 

Oh, wow. In the Customize dialog I had searched for "Default Character" but it came back empty.  But sure enough it is there in the 'Styles' block--and can be assigned to menu, keyboard shortcut, and toolbar --not sure about NB.


> Also, the title says "Need a menu entry", but there is already one both in
> the main menu (Styles > Default Character) and the context menu (Character >
> Default Character), so I would assume the request here is mainly about
> assigning a default keyboard shortcut to it?

Maybe a default Icon as well?
Comment 5 Heiko Tietze 2021-02-02 08:38:44 UTC
Olivier, what exactly are you missing in what UI setting?